# OpenLayers.StyleMap

Summary

OpenLayers.StyleMap |
Constructor |
OpenLayers.StyleMap |

### Constructor

### OpenLayers.StyleMap

#### Parameters

style | {Object} Optional. Either a style hash, or a style object, or a hash of style objects (style hashes) keyed by rendering intent. If just one style hash or style object is passed, this will be used for all known render intents (default, select, temporary)
options | {Object} optional hash of additional options for this instance

Close